From 8c52e919fbf728bf2ec44a14d6a35e0f01d413b7 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 20 2016 20:49:03 +0000
Subject: [PATCH 549/1001] Allow configuring the number of meeting shown in the meetings widget


---

diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index 04e0868..faf38f6 100755
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -64,7 +64,12 @@ position = 'both'
           default=None,
           validator=validators.required,
           help="A fedocal calendar.")
-def data(session, widget, calendar):
+@argument(name="n_meetings",
+          default=4,
+          validator=validators.integer,
+          help="The number of meetings to display.")
+def data(session, widget, calendar, n_meetings=4):
+    n_meetings = int(n_meetings)
     base = 'https://apps.fedoraproject.org/calendar/api/meetings/?calendar=%s'
     url = base % calendar
     response = requests.get(url).json()
@@ -82,6 +87,8 @@ def data(session, widget, calendar):
         if not selected:
             continue
         meetings[title] = selected
+        if len(meetings) >= n_meetings:
+            break
 
     return dict(meetings=meetings)
 

